Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class MultiplyOperator

    java.lang.Object
      org.jbpm.jpdl.el.impl.BinaryOperator
          org.jbpm.jpdl.el.impl.ArithmeticOperator
              org.jbpm.jpdl.el.impl.MultiplyOperator

    public class MultiplyOperator

extends ArithmeticOperator

The implementation of the multiply operator

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static MultiplyOperator` | `SINGLETON`

Constructor Summary
`MultiplyOperator()` Constructor

Method Summary
`java.math.BigDecimal` | `apply(java.math.BigDecimal pLeft, java.math.BigDecimal pRight)` Applies the operator to the given BigDecimal values, returning a BigDecimal.
`java.math.BigInteger` | `apply(java.math.BigInteger pLeft, java.math.BigInteger pRight)` Applies the operator to the given BigInteger values, returning a BigInteger.
`double` | `apply(double pLeft, double pRight)` Applies the operator to the given double values, returning a double
`long` | `apply(long pLeft, long pRight)` Applies the operator to the given double values, returning a double
`java.lang.String` | `getOperatorSymbol()` Returns the symbol representing the operator

Methods inherited from class org.jbpm.jpdl.el.impl.ArithmeticOperator
`apply`

Methods inherited from class org.jbpm.jpdl.el.impl.BinaryOperator
`shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final MultiplyOperator SINGLETON

Constructor Detail

### MultiplyOperator

    public MultiplyOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public java.lang.String getOperatorSymbol()

  Returns the symbol representing the operator

  Specified by:
    `getOperatorSymbol` in class `BinaryOperator`

### apply

    public double apply(double pLeft,
                        double pRight)

  Applies the operator to the given double values, returning a double

  Specified by:
    `apply` in class `ArithmeticOperator`

### apply

    public long apply(long pLeft,
                      long pRight)

  Applies the operator to the given double values, returning a double

  Specified by:
    `apply` in class `ArithmeticOperator`

### apply

    public java.math.BigDecimal apply(java.math.BigDecimal pLeft,
                                      java.math.BigDecimal pRight)

  Applies the operator to the given BigDecimal values, returning a BigDecimal.

  Specified by:
    `apply` in class `ArithmeticOperator`

### apply

    public java.math.BigInteger apply(java.math.BigInteger pLeft,
                                      java.math.BigInteger pRight)

  Applies the operator to the given BigInteger values, returning a BigInteger.

  Specified by:
    `apply` in class `ArithmeticOperator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD